## ros-melodic-ublox-msgs 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ublox_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation ublox_serialization std_msgs sensor_msgs)

add_message_files(DIRECTORY msg)
generate_messages(DEPENDENCIES std_msgs sensor_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS message_runtime ublox_serialization std_msgs sensor_msgs)

include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${ublox_serialization_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/ublox_msgs.cpp)

add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE
)

## ros-melodic-ublox-msgs 1.4.1

=== debian/changelog ===
ros-melodic-ublox-msgs (1.4.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox-msgs (1.4.0-1stretch) stretch; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox-msgs (1.3.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox-msgs (1.3.0-1stretch) stretch; urgency=high

  * Fix heading accuracy unit in comments
  * CfgNAV5: add dynamic model bike
  * Contributors: Ferry Schoenmakers, Raphael Riebl

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox-msgs (1.2.0-1stretch) stretch; urgency=high

  * Add support for ZED-F9P new RELPOSNED message and provide heading output
    Fix whitespacing...
    Add RELPOSNED9 message to compile
  * Add TIM product and M8U functionality as well as the TIM-TM2 message (#27 <https://github.com/KumarRobotics/ublox/issues/27>)
  * comment cleanup
  * added MonHW message for Firmware 6.
  * fixed incorrect message id
  * Contributors: Evan Flynn, Ferry Schoenmakers, Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox-msgs (1.1.2-1stretch) stretch; urgency=high

  * README and package xml updates
  * added USB Cfg PRT parameters and configuration
  * Added doxygen comments and made minor cleanup changes.
  * Added typedefs, cleaned up formatting, and added doxygen comments. Removed try-catch statements for serializing optional blocks and used the message count to determine the size of the optional block.
  * Added doxygen comments
  * Changed how ACKs are handled. They are now handled through callback functions and are included in the CallbackHandlers.
  * Added UPD messages.
  * Added Cfg NMEA messages for firmware 6 & 7, since the messages are a different length
  * Added the CfgDAT message with custom serialization for get/set (read/write) since the messages are different lengths
  * corrected message comment which had incorrect units
  * Added CfgNMEA message
  * Added constants for NavSAT flags bitmask
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox-msgs (1.1.0-1stretch) stretch; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * Added Cfg RST message declaration and reset function. For Firmware 8, after reconfiguring the GNSS, a cold restart is initiated.
  * node now configures INF messages
  * added CfgINF message
  * added comment about deprecated setting
  * Added NavPVT7 message since NavPVT message is a different length for firmware version 7. UbloxFirmware7Plus class now uses a template function to update diagnostics from NavPVT messages and to publish fix messages from NavPVT messages.
  * Added NavATT message
  * Added message declarations for newly included messages as well as serialization classes for messages with repeating blocks.
  * Added all ESF messages. Added HNR cfg message and HNR PVT message. Added MGA GAL message.
  * added constants for SBAS reserved and max tracking channels
  * comments cleanup
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Added NavSAT message and moved subscribers for messages deprecated in version 8 to version specific subscribe methods
  * Added Error message for ASIO read read errors and fixed a comment in cfg rate
  * Includes BUG FIX (keep reading). Added Ublox messages (and subscribers or configuration methods + params) for High Precision GNSS devices: CfgDGNSS, NavRELPOSNED, NavSVIN. Also added subscriber & message for RxmRTCM. Changed MonVER processing, it now determines the protocol version, hardware type (e.g. SPG/HPG), and supported GNSS (e.g. Glonass, SBAS). SBAS can now be disabled on SBAS supported devices (previously SBAS settings were ignored if enable_sbas was false to prevent crashes, now it checks the MonVER message before trying to configure SBAS.
  * Added CfgTMODE3 message for High Precision GNSS products
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox-msgs (1.0.0-1stretch) stretch; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Baud rate and in/out protocol mask are now configurable through params and are no longer hard coded.
  * Added constants for RTCM and ACK messages
  * Message comment updates
  * PRT message is now generic. Added constants for SPI, USB, and DDC configurations.
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * updated comments
  * Serialization for RxmSFRBX and RxmRAWX
  * Updated AID, RXM, and NAV messages to ublox 8 protocol. Added RxmSFRBX and RxmRAWX messages. Also did a 2nd pass on CFG messages for ublox 8 update. Need to serialize SFRBX.
  * Fixed build errors with nav msgs and updated remaining cfg messages for firmware 8
  * updated Cfg Nav 5 and X5 messages for firmware version 8
  * comment cleanup for nav pvt msg
  * Added Nav PVT message for protocol 8 and added publisher for ECEF messages in node.
  * Fix value of GPS_TIME_ONLY_FIX constant
  * Contributors: Kartik Mohta, Veronica Lane



=== debian/control ===
Source: ros-melodic-ublox-msgs
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-ublox-serialization
Homepage: http://ros.org/wiki/ublox
Standards-Version: 3.9.2

Package: ros-melodic-ublox-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-ublox-serialization
Description: ublox_msgs contains raw messages for u-blox GNSS devices.

## ros-melodic-ublox-msgs 1.5.0

=== debian/changelog ===
ros-melodic-ublox-msgs (1.5.0-1bionic) bionic; urgency=high

  * Fixed reconfig value in UBX_CFG_ANT.
  * Contributors: ito-san

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Oct 2021 22:00:00 -0000

ros-melodic-ublox-msgs (1.4.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox-msgs (1.4.0-1bionic) bionic; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox-msgs (1.3.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox-msgs (1.3.0-1bionic) bionic; urgency=high

  * Fix heading accuracy unit in comments
  * CfgNAV5: add dynamic model bike
  * Contributors: Ferry Schoenmakers, Raphael Riebl

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox-msgs (1.2.0-1bionic) bionic; urgency=high

  * Add support for ZED-F9P new RELPOSNED message and provide heading output
    Fix whitespacing...
    Add RELPOSNED9 message to compile
  * Add TIM product and M8U functionality as well as the TIM-TM2 message (#27 <https://github.com/KumarRobotics/ublox/issues/27>)
  * comment cleanup
  * added MonHW message for Firmware 6.
  * fixed incorrect message id
  * Contributors: Evan Flynn, Ferry Schoenmakers, Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox-msgs (1.1.2-1bionic) bionic; urgency=high

  * README and package xml updates
  * added USB Cfg PRT parameters and configuration
  * Added doxygen comments and made minor cleanup changes.
  * Added typedefs, cleaned up formatting, and added doxygen comments. Removed try-catch statements for serializing optional blocks and used the message count to determine the size of the optional block.
  * Added doxygen comments
  * Changed how ACKs are handled. They are now handled through callback functions and are included in the CallbackHandlers.
  * Added UPD messages.
  * Added Cfg NMEA messages for firmware 6 & 7, since the messages are a different length
  * Added the CfgDAT message with custom serialization for get/set (read/write) since the messages are different lengths
  * corrected message comment which had incorrect units
  * Added CfgNMEA message
  * Added constants for NavSAT flags bitmask
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox-msgs (1.1.0-1bionic) bionic; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * Added Cfg RST message declaration and reset function. For Firmware 8, after reconfiguring the GNSS, a cold restart is initiated.
  * node now configures INF messages
  * added CfgINF message
  * added comment about deprecated setting
  * Added NavPVT7 message since NavPVT message is a different length for firmware version 7. UbloxFirmware7Plus class now uses a template function to update diagnostics from NavPVT messages and to publish fix messages from NavPVT messages.
  * Added NavATT message
  * Added message declarations for newly included messages as well as serialization classes for messages with repeating blocks.
  * Added all ESF messages. Added HNR cfg message and HNR PVT message. Added MGA GAL message.
  * added constants for SBAS reserved and max tracking channels
  * comments cleanup
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Added NavSAT message and moved subscribers for messages deprecated in version 8 to version specific subscribe methods
  * Added Error message for ASIO read read errors and fixed a comment in cfg rate
  * Includes BUG FIX (keep reading). Added Ublox messages (and subscribers or configuration methods + params) for High Precision GNSS devices: CfgDGNSS, NavRELPOSNED, NavSVIN. Also added subscriber & message for RxmRTCM. Changed MonVER processing, it now determines the protocol version, hardware type (e.g. SPG/HPG), and supported GNSS (e.g. Glonass, SBAS). SBAS can now be disabled on SBAS supported devices (previously SBAS settings were ignored if enable_sbas was false to prevent crashes, now it checks the MonVER message before trying to configure SBAS.
  * Added CfgTMODE3 message for High Precision GNSS products
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox-msgs (1.0.0-1bionic) bionic; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Baud rate and in/out protocol mask are now configurable through params and are no longer hard coded.
  * Added constants for RTCM and ACK messages
  * Message comment updates
  * PRT message is now generic. Added constants for SPI, USB, and DDC configurations.
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * updated comments
  * Serialization for RxmSFRBX and RxmRAWX
  * Updated AID, RXM, and NAV messages to ublox 8 protocol. Added RxmSFRBX and RxmRAWX messages. Also did a 2nd pass on CFG messages for ublox 8 update. Need to serialize SFRBX.
  * Fixed build errors with nav msgs and updated remaining cfg messages for firmware 8
  * updated Cfg Nav 5 and X5 messages for firmware version 8
  * comment cleanup for nav pvt msg


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ublox-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
